#************************************************************ 
#
# Component       CNF  
#
# Synopsis        Cluster Membership Monitor
#
# Copyright 2001-2004 Sun Microsystems, Inc. All rights reserved.
#
#
#************************************************************
#
# #ident "@(#)VAR.pm 1.10 04/03/12 SMI"
#
#************************************************************

package VAR ;

require Exporter;
@ISA = qw(Exporter);
@EXPORT = ();

#------------------------------------------------------------------------------
#
# GLOBAL VARIABLES
#
#   Configuration data used by others modules
#   Handle with care !
#
#------------------------------------------------------------------------------

$FALSE = 0; export("\$FALSE");
$TRUE = 1;  export("\$TRUE");

#
# product identification
#
$E_productname = "Netra HA Suite 2.1" ; export("\$E_productname");
$E_toolname    = "Administration tool" ; export("\$E_toolname");

# general status
$E_exit_status = 0; export("\$E_exit_status");

#
# general info
#
# name of the current node
$E_node_name = "" ; export("\$E_node_name");
# TRUE if executed under root account
$E_isRoot = FALSE ; export("\$E_isRoot");

# information regarding FS configuration files
#  WARNING: FS conf can be updated by command arguments at run time.
$E_default_fs_configuration_file = "/etc/opt/SUNWcgha/nhfs.conf";
    export("\$E_default_fs_configuration_file");
$E_fs_configuration_file = $E_default_fs_configuration_file;
    export("\$E_fs_configuration_file");

# information regarding other configuration files
$E_cmm_cluster_file_name  = "cluster_nodes_table" ;
    export("\$E_cmm_cluster_file_name");
$E_cmm_cluster_file_local_dir  = "/etc/opt/SUNWcgha" ;
    export("\$E_cmm_cluster_file_local_dir");
$E_sd_configuration_file = "/etc/opt/SUNWscm/sd.cf" ;
    export("\$E_sd_configuration_file");
$E_default_syncfile = "/SUNWcgha/remote/etc/nhadmsync.conf" ;
    export("\$E_default_syncfile");
$E_syncfile = $E_default_syncfile ;
    export("\$E_syncfile");
$E_datacopy_file = "" ;
    export("\$E_datacopy_file");
$E_cluster_file_loaded = "FALSE"; export("\$E_cluster_file_loaded");

#
# information about nodes read into cluster file
#
@E_cluster_node = (); export("\@E_cluster_node");
$E_cluster_node_count = 0; export("\$E_cluster_node_count");
$E_local_node_id = -1 ; export("\$E_local_node_id");
$E_cluster_local_node = -1 ; export("\$E_cluster_local_node");

#
#  information about variables read into FS configuration file
#
%E_variables = () ; export("\%E_variables");
@E_slice_string = (); export("\@E_slice_string");
@E_share_string = (); export("\@E_share_string");

#
# default value
#

$E_subnet0 = 10 ; export("\$E_subnet0");

#
# export of variables
#
sub export {
  my ($name) = @_;
#  print "name=$name\n";
  push @EXPORT, ("$name");
}

{
}
